%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Función MATLAB para transformar el formato del color. Ya que como se
% ejecuta en dos programas distintos, se necesita escribir en dichos
% programas, utilizando cada uno de ellos fromatos distintos
% Por ejemplo: RobotStudio=[255000,0,0] y MATLAB=[1,0,0];
%
% Creado por:
%   - Rodrigo Sancho García
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [ColorOut]=SeleccionColor(Color)
    switch Color
        case '[255000,0,0]'
            ColorOut=[1,0,0];
        case '[0,255000,0]'
            ColorOut=[0,1,0];
        case '[0,0,255000]'
            ColorOut=[0,0,1];
        case '[255000,255000,0]'
            ColorOut=[1,1,0];
        case '[255000,0,255000]'
            ColorOut=[1,0,1];
        case '[0,255000,255000]'
            ColorOut=[0,1,1];
        case '[0,0,0]'
            ColorOut=[0,0,0];
    end
end